## xsane 0.999

=== include/Makefile ===
# This is just a dummy to ensure that the include directory gets created
# in a shadow-build.

all:

distclean:
	rm -f Makefile

## xsane 0.996-maemo1

=== debian/changelog ===
xsane (0.996-maemo1) unstable; urgency=low

  * Fix to compile for Maemo

 -- Thomas Maass <inyourface@gmx.de>  Tue, 20 Jul 2010 20:49:00 +0200

xsane (0.996-1) unstable; urgency=low

  * New upstream release.

  * debian/xsane.postinst:
    + Make maintainer script set -e.

  * debian/patches/06_fix_pdf_xref.dpatch:
    + Updated; this release fixes the single-page case but the multipage case
      was left out.

 -- Julien BLACHE <jblache@debian.org>  Wed, 26 Nov 2008 22:35:41 +0100

xsane (0.995-6) unstable; urgency=low

  * debian/patches/06_fix_pdf_xref.dpatch:
    + Added; mark non-existent PDF objects as free in the xref table
      (closes: #499104).

 -- Julien BLACHE <jblache@debian.org>  Wed, 17 Sep 2008 21:40:10 +0200

xsane (0.995-5) unstable; urgency=low

  * debian/control:
    + xsane Recommends: cups-client for the lp binary.

  * debian/patches/01_printing_defaults.dpatch:
    + Added; switch printing defaults from lpr to lp (closes: #468274).

 -- Julien BLACHE <jblache@debian.org>  Mon, 08 Sep 2008 11:04:02 +0200

xsane (0.995-4) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.0 (no changes).
  * debian/xsane.desktop:
    + Remove Encoding key (closes: #489790).

  * debian/patches/05_options_handling_fix.dpatch:
    + Added; duplicate strings for options with a constraint type of
      SANE_CONSTRAINT_STRING_LIST, as the constraint is not guaranteed to
      be stable in memory, and actually isn't when the net backend is used.
      Based on Brad Sawatzky's patch (closes: #487475, #307088).
  * debian/patches/03_gimp_acquire_menu.dpatch:
    + Updated; add missing patch description.

 -- Julien BLACHE <jblache@debian.org>  Fri, 25 Jul 2008 19:04:12 +0200

xsane (0.995-3) unstable; urgency=low

  * debian/patches/04_inhibit_clickthrough.dpatch:
    + Added; finally give up and inhibit the license clickthrough. They
      largely made me do it (closes: #132679).
  * debian/xsane-common.doc-base:
    + Fix doc-base section.

 -- Julien BLACHE <jblache@debian.org>  Fri, 11 Apr 2008 19:03:59 +0200

xsane (0.995-2) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.7.3 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Sat, 01 Mar 2008 16:59:01 +0100

xsane (0.995-1) unstable; urgency=low

  * New upstream release.
    + Enlarged buffer for the "No devices" help text (closes: #442294).
    + LCMS (color management) support.
  * debian/patches/11_contect_typo.dpatch:
    + Removed; merged upstream.
  * debian/patches/12_pbar_fixes.dpatch:
    + Removed; fixed upstream with a different fix.
  * debian/control:
    + Build-Depends: liblcms1-dev for color management support.

 -- Julien BLACHE <jblache@debian.org>  Thu, 22 Nov 2007 11:42:18 +0100

xsane (0.994-1) experimental; urgency=low

  * New upstream beta release.

 -- Julien BLACHE <jblache@debian.org>  Wed,  7 Mar 2007 13:12:27 +0100

xsane (0.993-1) experimental; urgency=low

  * New upstream beta release.

 -- Julien BLACHE <jblache@debian.org>  Tue, 27 Feb 2007 22:22:40 +0100

xsane (0.99+0.991-6) unstable; urgency=low

  * debian/patches/12_pbar_fixes.dpatch:
    + Added; Reduce progress bar updates/redraws by rounding the progress
      value. Patch by Joris van Rooij <jrrzz@il.fontys.nl> (closes: #432609).
  * debian/xsane.desktop:
    + Remove non-existent "Application" category.
  * debian/xsane-common.links:
    + Add an index.html symlink to sane-xsane-doc.html in the HTML doc.

 -- Julien BLACHE <jblache@debian.org>  Fri, 24 Aug 2007 11:37:26 +0200

xsane (0.99+0.991-5) unstable; urgency=low

  * debian/xsane.menu:
    + Update for the new menu structure.

 -- Julien BLACHE <jblache@debian.org>  Sun, 05 Aug 2007 18:14:18 +0200

xsane (0.99+0.991-4) unstable; urgency=low

  * debian/control:
    + Remove obsolete Build-Conflicts: libpng10-dev.
    + Remove obsolete Conflicts/Replaces: xsane-gimp1.{2,3}.
    + Update browser recommendation.
    + Improve short description.
  * debian/rules:
    + Do not ignore errors from make distclean.

 -- Julien BLACHE <jblache@debian.org>  Thu, 02 Aug 2007 18:15:18 +0200

xsane (0.99+0.991-3) unstable; urgency=low

  * debian/patches/10_broken_links.dpatch:
    + Added; fix broken links in HTML documentation (closes: #415299).
  * debian/patches/11_contect_typo.dpatch:
    + Added; fix "contect" typo in xsane-text.h; original patch by 
      Martin Pitt <martin.pitt@ubuntu.com> (closes: #420749).

 -- Julien BLACHE <jblache@debian.org>  Fri, 27 Apr 2007 21:46:28 +0200

xsane (0.99+0.991-2) unstable; urgency=low

  * debian/control:
    + Bumped Standards-Version to 3.7.2 (no changes).
    + Fix dependency on xsane-common to be binNMU-safe.
    + Remove Uploaders.

      Thank you Aurélien JARNO for your help during these years.

 -- Julien BLACHE <jblache@debian.org>  Sun,  7 Jan 2007 19:00:11 +0100

xsane (0.99+0.991-1) unstable; urgency=low

  * New upstream bugfix release (0.991).

 -- Julien BLACHE <jblache@debian.org>  Tue, 24 Jan 2006 23:14:44 +0100

xsane (0.99-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Tue, 10 Jan 2006 21:58:08 +0100

xsane (0.98b-2) unstable; urgency=low
  
  * debian/control:
    + Removed build-dependency on xlibs-dev (closes: bug#343945).
  
 -- Aurelien Jarno <aurel32@debian.org>  Sun,  8 Jan 2006 00:43:52 +0100

xsane (0.98b-1) unstable; urgency=low

  * Bugfix release.

 -- Julien BLACHE <jblache@debian.org>  Sat,  3 Dec 2005 14:51:29 +0100

xsane (0.98-1) unstable; urgency=low

  * New upstream release.
    + Adds PDF support, including in mail mode (closes: #311510).
    + Fixes batch scan (closes: #337208).
  * debian/patches/11_manapge_fixes.dpatch:
    + Removed; merged upstream.
  * debian/patches/12_de.po_fixes.dpatch:
    + Removed; merged upstream.
  * debian/patches/10_batch_scan_bugfix.dpatch:
    + Removed; merged upstream.
  * debian/patches/01_logo_docs.dpatch:
    + Removed; not necessary anymore.



=== debian/control ===
Source: xsane
Section: graphics
Priority: optional
Maintainer: Thomas Maass<inyourface@gmx.de>
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 5), dpatch, libgtk2.0-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, liblcms1-dev, libsane-dev (>= 1.0.11-3), zlib1g-dev, gettext, autotools-dev

Package: xsane
Section: graphics
Architecture: any
Depends: xsane-common (= ${source:Version}), ${shlibs:Depends}
Recommends: iceweasel | www-browser, cups-client
Suggests: gimp, hylafax-client | mgetty-fax, gv, gocr
Description: featureful graphical frontend for SANE (Scanner Access Now Easy)
 xsane can be run as a stand-alone program or through the GIMP image
 manipulation program.  In stand-alone mode, xsane can save an image
 to a file in a variety of image formats, serve as a frontend to a
 fax program, or send an image to a printer.
 .
 SANE stands for "Scanner Access Now Easy" and is an application
 programming interface (API) that provides standardized access to any
 raster image scanner hardware (flatbed scanner, hand-held scanner,
 video- and still-cameras, frame-grabbers, etc.). The SANE standard is
 free and its discussion and development are open to everybody. The
 current source code is written to support several operating systems,
 including GNU/Linux, OS/2, Win32 and various Unices and is available
 under the GNU General Public License (commercial applications and
 backends are welcome, too, however).

Package: xsane-common
Section: graphics
Architecture: all
Replaces: xsane
Recommends: xsane
Description: featureful graphical frontend for SANE (Scanner Access Now Easy)
 xsane can be run as a stand-alone program or through the GIMP image 
 manipulation program.  In stand-alone mode, xsane can save an image 
 to a file in a variety of image formats, serve as a frontend to a 
 fax program, or send an image to a printer. 
 .
 This package contains architecture-independent files needed by xsane
 (locales, help).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Include dpatch rules
include /usr/share/dpatch/dpatch.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


autotools: autotools-stamp
autotools-stamp:
	rm -f config.sub config.guess
	ln -s /usr/share/misc/config.sub config.sub
	ln -s /usr/share/misc/config.guess config.guess
	touch autotools-stamp

config.status: autotools-stamp configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--enable-gimp

build: build-stamp
build-stamp: patch-stamp config.status
	dh_testdir

	# Add here commands to compile the package.
	# Point the docdir to xsane-common, as the doc is in this package
	$(MAKE) xsanedocdir=\$${datadir}/doc/xsane-common/html

	touch build-stamp

clean: real-clean unpatch
real-clean:
	dh_testdir
	dh_testroot
	rm -f autotools-stamp build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	rm -f config.sub config.guess
	rm -f po/*.gmo

	dh_clean


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# The docdir is set to a directory provided by xsane-common
	# so that the documentation can be found at runtime
	$(MAKE) install prefix=$(CURDIR)/debian/xsane/usr \
			xsanedocdir=\$${datadir}/doc/xsane-common/html

	install -m 0644 src/xsane-32x32.xpm \
		debian/xsane/usr/share/pixmaps/xsane.xpm

	install -m 0644 debian/xsane.desktop \
		debian/xsane/usr/share/applications/hildon

	# we don't want the locales, nor the HTML documentation to be in
	# this package (provided in xsane-common)
	rm -rf debian/xsane/usr/share/sane
	rm -rf debian/xsane/usr/share/doc/xsane/html
	rm -rf debian/xsane/usr/share/locale
	rm -rf debian/xsane/usr/share/doc/xsane-common

	rm -rf debian/xsane/usr/sbin

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdirs

	./configure --prefix=/usr --mandir=\$${prefix}/share/man

	$(MAKE) -C doc install prefix=$(CURDIR)/debian/xsane-common/usr \
				xsanedocdir=\$${datadir}/doc/xsane-common/html

	rm -rf debian/xsane-common/usr/share/pixmaps

	# remove outdated/useless documentation
	rm -f debian/xsane-common/usr/share/doc/xsane-common/html/sane-backends-doc.html
	rm -f debian/xsane-common/usr/share/doc/xsane-common/html/sane-pnm-doc.html

	# manpages go in the binary packages
	rm -rf debian/xsane-common/usr/share/man

	$(MAKE) -C po install prefix=$(CURDIR)/debian/xsane-common/usr

	install -d debian/xsane-common/usr/share/sane/xsane
	install -m 0644 src/xsane-style.rc debian/xsane-common/usr/share/sane/xsane
	install -m 0644 src/xsane-startimage.pnm debian/xsane-common/usr/share/sane/xsane
	install -m 0644 src/xsane-calibration.pnm debian/xsane-common/usr/share/sane/xsane
	install -m 0644 src/xsane-logo.xpm debian/xsane-common/usr/share/sane/xsane
	install -m 0644 src/xsane-gpl.txt debian/xsane-common/usr/share/sane/xsane
	install -m 0644 src/xsane-eula.txt debian/xsane-common/usr/share/sane/xsane
	cd src && \
	for logo in *-logo.xpm; do \
		install -m 0644 $${logo} ../debian/xsane-common/usr/share/sane/xsane/$${logo} ; \
	done && \
	cd -

	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
#	dh_installexamples -i 
	dh_installman -i
#	dh_installinfo -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
#	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
#	dh_installinfo -a
	dh_installchangelogs -a xsane.CHANGES
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a 
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpatch real-clean

## xsane 0.997

=== debian/changelog ===
xsane (0.997-2) unstable; urgency=low

  * debian/patches/fix_spin_button_pagesize.patch:
    + Added back; not fixed upstream.

 -- Julien BLACHE <jblache@debian.org>  Mon, 31 May 2010 19:37:03 +0200

xsane (0.997-1) unstable; urgency=low

  * New upstream release.

  * debian/patches/fix_preview_mouse_events.patch:
    + Added; fix mouse events handling in the preview window (closes: #583661).
  * debian/patches/fix_cap_always_settable.patch,
    debian/patches/fix_spin_button_pagesize.patch:
    + Removed; fixed upstream.

 -- Julien BLACHE <jblache@debian.org>  Sat, 29 May 2010 12:49:57 +0200

xsane (0.996-4) unstable; urgency=low

  * Package converted to source format 3.0 (quilt).
    + Patches now have DEP-3 headers.

  * debian/control:
    + Drop dpatch build-dep.
    + Bump Standards-Version to 3.8.4.
    + Add ${misc:Depends}.
  * debian/rules:
    + Drop dpatch code.

  * debian/patches/fix_message_typo.patch:
    + Added; fix a typo in GUI messages (closes: #569747).
  * debian/patches/i18n_po_update_fr.patch:
    + Added; update french translation (closes: #573213).

 -- Julien BLACHE <jblache@debian.org>  Sat, 13 Mar 2010 21:14:18 +0100

xsane (0.996-3) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.3 (no changes).

  * debian/patches/20_spin_button_pagesize.dpatch:
    + Added; fix adjustment page size for spin buttons (closes: #562253).

 -- Julien BLACHE <jblache@debian.org>  Sun, 27 Dec 2009 08:41:32 +0100

xsane (0.996-2) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.2 (no changes).

  * debian/patches/07_fix_pdf_floats.dpatch:
    + Added; set LC_NUMERIC to POSIX before printing floats in PostScript
      and PDF output.
  * debian/patches/08_po_update_es_add_gl.dpatch:
    + Added; update es translation and add new gl translation; courtesy
      of Miguel Bouzada <mbouzada@gmail.com>.
  * debian/patches/09_cap_always_settable.dpatch:
    + Added; remove check for SANE_CAP_ALWAYS_SETTABLE which has been removed
      upstream in SANE 1.0.20 (and was never used, not part of the standard).

 -- Julien BLACHE <jblache@debian.org>  Fri, 26 Jun 2009 11:58:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: xsane
 Section: graphics
 Priority: optional
-Maintainer: Thomas Maass<inyourface@gmx.de>
-Standards-Version: 3.8.0
-Build-Depends: debhelper (>= 5), dpatch, libgtk2.0-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, liblcms1-dev, libsane-dev (>= 1.0.11-3), zlib1g-dev, gettext, autotools-dev
+Maintainer: Julien BLACHE <jblache@debian.org>
+Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 5), libgimp2.0-dev (>= 2.0.0), libgtk2.0-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, liblcms1-dev, libsane-dev (>= 1.0.11-3), zlib1g-dev, gettext, autotools-dev
 
 Package: xsane
 Section: graphics
 Architecture: any
-Depends: xsane-common (= ${source:Version}), ${shlibs:Depends}
+Depends: xsane-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: iceweasel | www-browser, cups-client
 Suggests: gimp, hylafax-client | mgetty-fax, gv, gocr
 Description: featureful graphical frontend for SANE (Scanner Access Now Easy)
@@ -30,6 +30,7 @@
 Package: xsane-common
 Section: graphics
 Architecture: all
+Depends: ${misc:Depends}
 Replaces: xsane
 Recommends: xsane
 Description: featureful graphical frontend for SANE (Scanner Access Now Easy)

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# Include dpatch rules
-include /usr/share/dpatch/dpatch.make
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -38,7 +35,7 @@
 		--enable-gimp
 
 build: build-stamp
-build-stamp: patch-stamp config.status
+build-stamp: config.status
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -47,8 +44,7 @@
 
 	touch build-stamp
 
-clean: real-clean unpatch
-real-clean:
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f autotools-stamp build-stamp
@@ -57,6 +53,7 @@
 	[ ! -f Makefile ] || $(MAKE) distclean
 
 	rm -f config.sub config.guess
+	rm -f xsane.spec include/config.h
 	rm -f po/*.gmo
 
 	dh_clean
@@ -77,7 +74,7 @@
 		debian/xsane/usr/share/pixmaps/xsane.xpm
 
 	install -m 0644 debian/xsane.desktop \
-		debian/xsane/usr/share/applications/hildon
+		debian/xsane/usr/share/applications
 
 	# we don't want the locales, nor the HTML documentation to be in
 	# this package (provided in xsane-common)
@@ -159,4 +156,4 @@
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install patch unpatch real-clean
+.PHONY: build clean binary-indep binary-arch binary install

## xsane 0.998

=== debian/changelog ===
xsane (0.998-5ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/patches/pot_desktop_msgid.patch: Add .desktop file Name and
      Comment to the POT.
    - debian/control:
      + Depend on firefox instead of iceweasel.
    - debian/xsane.desktop:
      + Use generic scanner icon instead of outdated/confusing xsane icon.
      + Modified to match POT changes.
  * Drop disabling of compiler optimisation on ARM; xsane seems to build
    successfully without that change these days.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Jun 2013 11:45:24 +0100

xsane (0.998-5) unstable; urgency=low

  * QA upload.
  * Build-depend on libtiff-dev rather than libtiff4-dev.
  * debian/xsane.desktop: Add 2DGraphics to Categories, as hinted by
    desktop-file-validate (thanks, Angel Abad).

 -- Colin Watson <cjwatson@debian.org>  Wed, 05 Jun 2013 11:30:48 +0100

xsane (0.998-4) unstable; urgency=low

  * QA upload.
  * Change maintainer to QA Group.
  * debian/ improvements:
    - Bump debhelper compat level to 9
    - Convert to use dh
    - Add Homepage header
    - Bump Standards-Version to 3.9.3 (no changes)
  * Move documentation out of /usr/share/doc, since it is used by
    the program itself, this was arguably a policy violation.
  * Change Build-Depends from libpng12-dev to libpng-dev and apply
    patch by Nobuhiro Iwamatsu to fix build with libpng15.
    (closes: #649800, #662569)
  * Add higher resolution icons (based on src/xsane-logo.xpm).
    (closes: #675470)
  * Remove non-working items in help menu. Patch from openSUSE
    package.

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 29 Jan 2013 01:20:42 +0100

xsane (0.998-3ubuntu3) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 16:34:28 +0100

xsane (0.998-3ubuntu2) precise; urgency=low

  * No change rebuild for libjpeg transition 

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 29 Feb 2012 16:30:57 -0600

xsane (0.998-3ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Disable compiler optimization for thumb2/armv7.
    - debian/patches/pot_desktop_msgid.patch: Add .desktop file Name and
      Comment to the POT.
    - debian/control:
      + Depend on firefox instead of iceweasel.
    - debian/xsane.desktop:
      + Use generic scanner icon instead of out-dated/confusing xsane icon
      + Modified to match POT changes
      + Adjust Categories for desktop-file-validate

 -- Angel Abad <angelabad@ubuntu.com>  Wed, 20 Jul 2011 14:51:59 +0200

xsane (0.998-3) unstable; urgency=low

  * debian/control:
    + Build-dep on libjpeg-dev instead of libjpeg62-dev (closes: #634651).

 -- Julien BLACHE <jblache@debian.org>  Tue, 19 Jul 2011 22:43:22 +0200

xsane (0.998-2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Disable compiler optimization for thumb2/armv7.
    - debian/patches/pot_desktop_msgid.patch: Add .desktop file Name and
      Comment to the POT.
    - debian/control:
      + Depend on firefox instead of iceweasel.
    - debian/xsane.desktop:
      + Use generic scanner icon instead of out-dated/confusing xsane icon
      + Modified to match POT changes
  * Dropped change, fixed in Debian:
    - Fix umask permitions
      + debian/patches/fix_umask_permitions.patch
  * debian/xsane.desktop:
    - Adjust Categories for desktop-file-validate

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 13 Jun 2011 18:19:36 +0200

xsane (0.998-2) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.9.2 (no changes).

  * debian/patches/fix_tighten_default_umask.patch:
    + Added; tighten default umask, going to 0077 from 0007 (closes: #592972).

 -- Julien BLACHE <jblache@debian.org>  Thu, 02 Jun 2011 15:27:09 +0200

xsane (0.998-1ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #716443).  Remaining changes:
    - Fix umask permitions (LP: #611950)
      + debian/patches/fix_umask_permitions.patch
    - Disable compiler optimization for thumb2/armv7. (LP: #600717)
    - debian/patches/pot_desktop_msgid.patch: Add .desktop file Name and
      Comment to the POT.
    - debian/control:
      + Depend on firefox instead of iceweasel.
    - debian/xsane.desktop:
      + Use generic scanner icon instead of out-dated/confusing xsane icon
      + Modified to match POT changes (LP: #410234)

 -- Артём Попов <artfwo@gmail.com>  Thu, 10 Feb 2011 19:58:27 +0600

xsane (0.998-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Bump Standards-Version to 3.9.1 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Fri, 04 Feb 2011 19:56:33 +0100

xsane (0.997-2ubuntu3) maverick; urgency=low

  [Adrien Thebo]
  * Fix umask permitions (LP: #611950)
    - debian/patches/fix_umask_permitions.patch

 -- chilicuil <chilicuil@i.am>  Sat, 14 Aug 2010 02:38:18 -0500

xsane (0.997-2ubuntu2) maverick; urgency=low

  * Disable compiler optimization for thumb2/armv7. (LP: #600717) 

 -- David Sugar <david.sugar@canonical.com>  Thu, 01 Jul 2010 16:12:35 +0000

xsane (0.997-2ubuntu1) maverick; urgency=low

  [ Lorenzo De Liso ]
  * Merge from debian unstable (LP: #596843), remaining changes:
    - debian/patches/13_pot_desktop_msgid.dpatch: Add .desktop file Name and
      Comment to the POT.
    - debian/control:
      + Depend on firefox instead of iceweasel.
    - debian/xsane.desktop:
      + Use generic scanner icon instead of out-dated/confusing xsane icon
      + Modified to match POT changes (LP: #410234)
    - debian/control:
      + remove Vcs-Bzr tag
  * Dropped changes:
    - lp: #370818: Fixed a problem in mouse event processing that interfered
      with selecting the scan rectangle in the preview window: fixed in debian
  * Renamed 13_pot_desktop_msgid.dpatch to pot_desktop_msgid.patch since 
    the package uses no longer dpatch.

  [ Stefano Rivera ]


=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: xsane
 Section: graphics
 Priority: optional
-Maintainer: Julien BLACHE <jblache@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 5), libgimp2.0-dev (>= 2.0.0), libgtk2.0-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, liblcms1-dev, libsane-dev (>= 1.0.11-3), zlib1g-dev, gettext, autotools-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9~), libgimp2.0-dev (>= 2.0.0), libgtk2.0-dev, libjpeg-dev, libpng-dev, libtiff-dev, liblcms1-dev, libsane-dev (>= 1.0.11-3), zlib1g-dev, gettext, autotools-dev
+Homepage: http://www.xsane.org/
 
 Package: xsane
-Section: graphics
 Architecture: any
 Depends: xsane-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
-Recommends: iceweasel | www-browser, cups-client
+Recommends: firefox | www-browser, cups-client
 Suggests: gimp, hylafax-client | mgetty-fax, gv, gocr
 Description: featureful graphical frontend for SANE (Scanner Access Now Easy)
  xsane can be run as a stand-alone program or through the GIMP image
@@ -28,7 +29,6 @@
  backends are welcome, too, however).
 
 Package: xsane-common
-Section: graphics
 Architecture: all
 Depends: ${misc:Depends}
 Replaces: xsane

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --enable-gimp

override_dh_auto_clean:
	dh_auto_clean

	rm -f config.sub config.guess
	rm -f xsane.spec include/config.h
	rm -f po/*.gmo

override_dh_auto_install:
	dh_auto_install

	# remove outdated/useless documentation
	rm -f debian/tmp/usr/share/sane/xsane/doc/sane-backends-doc.html
	rm -f debian/tmp/usr/share/sane/xsane/doc/sane-pnm-doc.html

override_dh_install:
	dh_install

	install -m 0644 src/xsane-32x32.xpm \
		debian/xsane/usr/share/pixmaps/xsane.xpm
	install -m 0644 src/xsane-48x48.png \
		debian/xsane/usr/share/pixmaps/xsane.png

override_dh_installchangelogs:
	dh_installchangelogs xsane.CHANGES

## xsane 0.999

=== debian/changelog ===
xsane (0.999-5ubuntu2) artful; urgency=medium

  * Rebuild against new libsane1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 23 Jul 2017 09:43:44 +0200

xsane (0.999-5ubuntu1) artful; urgency=medium

  * Sync on debian unstable. Remaining changes:
    + Build-Depend on libjpeg-dev rather than the old turbo one.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 02 Jun 2017 10:42:57 +0530

xsane (0.999-5) unstable; urgency=medium

  * New debian/patches/0010-fix_missing_sane-config.patch (Closes: #852840):
    - Add autoconf statements which were previously part of
      sane-config to detect the presence of sane-backends.
    Thanks to Andreas Metzler <ametzler@bebt.de>.
  * debian/copyright:
    - Add year 2017 for debian/*.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 28 Jan 2017 07:15:47 +0100

xsane (0.999-4) unstable; urgency=medium

  * debian/control:
    - Remove iceweasel from Recommends.
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Change Vcs-Browser to secure URI.
    - Bump required version of debhelper to >= 10.
    - Add Multi-Arch tags to all packages (warning from Multi-Arch hinter).
  * debian/compat:
    - Change compat level to 10.
  * debian/copyright:
    - Add 2016 for packaging.
  * Migrate to autoreconf:
    - debian/rules: Change from autotools_dev to autoreconf.
    - debian/control: Replace autotools-dev with dh_autoreconf in B-D.
    - New debian/patches/0005-m4.patch to add missing tags.
  * debian/watch:
    - Bump Version to 4 (no changes required).
  * Refresh patches:
    - debian/patches/0170-typo.patch.
    - debian/patches/0900-i18n_po_update_es_add_gl.patch
  * Remove useless debian/xsane.lintian-overrides.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 15 Oct 2016 05:58:43 +0200

xsane (0.999-3) unstable; urgency=medium

  * debian/control:
    - Drop version number from libsane-dev build dependency
      (oldstable has 1.0.22-7.4).
    - Drop version number from libgimp2.0-dev build dependency
      (oldstable has version 2.8.2-2+deb7u1).
    - Remove useless whitespaces.
  * debian/rules:
    - Split override_dh_install into *-arch and *-indep (Closes: #806125).
  * Add new OCR command-line tools:
    - debian/control:
      + Add cuneiform, tesseract-ocr, ocrad to Suggests.
    - debian/ocr-scripts:
      + Add xsane2cunei.sh, xsane2ocrad.sh and xsane2tess3.sh.
    - debian/xsane.dirs:
      + Add usr/share/xsane.
    - debian/xsane.install
      + Install ocr-scripts into debian/share/xsane/ocr-scripts.
  * New xsane.lintian-overrides:
    - Add override for spelling-error-in-binary.
  * Drop debian/xsane.menu file in compliance with CTTE decision (see #741573).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 05 Dec 2015 16:58:02 +0100

xsane (0.999-2) unstable; urgency=medium

  * Add new package xsane-dbg (Closes: #690359).
  * debian/control:
    - New package xsane-dbg.
    - Reformat Depends.
  * debian/rules:
    - Add override_dh_strip for xsane-dbg.
  * debian/patches:
    - Rename and refresh the patches.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 16 Dec 2014 23:03:17 +0100

xsane (0.999-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer (Closes: #688542).
  * debian/control:
    - Add myself as maintainer.
    - Bump Standards-Version to 3.9.6, no changes required.
    - Update short description of xsane-common.
    - Change Build-Depends from libjpeg-dev to libjpeg62-turbo-dev
      with regards to the libjpeg-turbo transition.
  * debian/copyright:
    - Rewrite into DEP-5 format.
    - Add myself to the list of authors for debian/*.
    - Change the license of debian/* to GPL-3+.
  * New debian/watch file.
  * debian/patches:
    - New xsane-0.999-lcms2.patch:
      + Add support for lcms2 (Closes: #745524).
        Thanks to Nils Philippsen <nils@redhat.com>!
    - New lcms2_configure.patch:
      + patch configure direct because autoreconf is broken.
        Thanks to Nils Philippsen <nphilipp@fedoraproject.org>!
    - New typo.patch and typo_manpage.patch:
      + Correct some typos.
    - New desktop_file.patch:
      + Move tags from debian/xsane.desktop to src/xsane.desktop.
    - New man_misleading.patch:
      + Correct misleading documentation for --force-filename (Closes: #441695).
  * Remove debian/xsane.desktop
  * debian/rules:
    - Enable hardening.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 23 Oct 2014 21:56:32 +0200

xsane (0.998-6) unstable; urgency=medium

  * QA upload.
  * Update Build-Depends to point to liblcms2-dev instead of liblcms1-dev.
    Unfortunately, xsane is not yet ready for liblcms2 so until that is
    fixed it will build without LCMS support. This is done so that
    #745524 can be reduced to important severity and xsane can stay in
    testing.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 07 Aug 2014 08:34:15 +0200

=== debian/control ===
Source: xsane
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Standards-Version: 3.9.8
Build-Depends:
 debhelper (>= 10),
 dh-autoreconf,
 gettext,
 libgimp2.0-dev,
 libgtk2.0-dev,
 libjpeg-dev,
 liblcms2-dev,
 libpng-dev,
 libsane-dev,
 libtiff-dev,
 zlib1g-dev
Homepage: http://www.xsane.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/xsane.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xsane.git

Package: xsane
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 xsane-common (= ${source:Version})
Recommends:
 cups-client,
 firefox | www-browser
Suggests:
 gimp,
 gocr | cuneiform | tesseract-ocr | ocrad,
 gv,
 hylafax-client | mgetty-fax
Description: featureful graphical frontend for SANE (Scanner Access Now Easy)
 xsane can be run as a stand-alone program or through the GIMP image
 manipulation program.  In stand-alone mode, xsane can save an image
 to a file in a variety of image formats, serve as a frontend to a
 fax program, or send an image to a printer.
 .
 SANE stands for "Scanner Access Now Easy" and is an application
 programming interface (API) that provides standardized access to any
 raster image scanner hardware (flatbed scanner, hand-held scanner,
 video- and still-cameras, frame-grabbers, etc.). The SANE standard is
 free and its discussion and development are open to everybody. The
 current source code is written to support several operating systems,
 including GNU/Linux, OS/2, Win32 and various Unices and is available
 under the GNU General Public License (commercial applications and
 backends are welcome, too, however).

Package: xsane-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends:
 ${misc:Depends},
 xsane (= ${binary:Version})
Description: featureful graphical frontend for SANE (Debug files)
 xsane can be run as a stand-alone program or through the GIMP image
 manipulation program.  In stand-alone mode, xsane can save an image
 to a file in a variety of image formats, serve as a frontend to a
 fax program, or send an image to a printer.
 .
 SANE stands for "Scanner Access Now Easy" and is an application
 programming interface (API) that provides standardized access to any
 raster image scanner hardware (flatbed scanner, hand-held scanner,
 video- and still-cameras, frame-grabbers, etc.). The SANE standard is
 free and its discussion and development are open to everybody. The
 current source code is written to support several operating systems,
 including GNU/Linux, OS/2, Win32 and various Unices and is available
 under the GNU General Public License (commercial applications and
 backends are welcome, too, however).
 .
 This package contains debug files needed by xsane.

Package: xsane-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: xsane
Recommends: xsane
Description: xsane architecture independent files
 xsane can be run as a stand-alone program or through the GIMP image
 manipulation program.  In stand-alone mode, xsane can save an image
 to a file in a variety of image formats, serve as a frontend to a
 fax program, or send an image to a printer.
 .
 This package contains architecture-independent files needed by xsane
 (locales, help).

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-gimp

override_dh_auto_clean:
	dh_auto_clean

	rm -f config.sub config.guess
	rm -f xsane.spec include/config.h
	rm -f po/*.gmo

override_dh_strip:
	dh_strip -pxsane --dbg-package=xsane-dbg

override_dh_auto_install:
	dh_auto_install

	# remove outdated/useless documentation
	rm -f debian/tmp/usr/share/sane/xsane/doc/sane-backends-doc.html
	rm -f debian/tmp/usr/share/sane/xsane/doc/sane-pnm-doc.html

override_dh_install-arch:
	dh_install

	install -m 0644 src/xsane-32x32.xpm \
		debian/xsane/usr/share/pixmaps/xsane.xpm
	install -m 0644 src/xsane-48x48.png \
		debian/xsane/usr/share/pixmaps/xsane.png

override_dh_install-indep:
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs xsane.CHANGES

=== debian/watch ===
version=4

http://xsane.org/download xsane-(.+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## xsane 0.999-3ubuntu1+8.0trisquel1

=== debian/changelog ===
xsane (0.999-3ubuntu1+8.0trisquel1) flidas; urgency=medium

  * Replace non-free snprintf #10794

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 20 Apr 2018 19:47:20 +0000

xsane (0.999-3ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Drop iceweasel from Recommends.
    - debian/patches/pot_desktop_msgid.patch:
      + Add .desktop file Name and Comment to the POT.
      + Add gettext domain to get language support.
      + Use generic scanner icon instead of outdated/confusing
        xsane icon.
      + Add some translations.
  * debian/control:
    - Build-Depends on libjpeg-dev instead of libjpeg62-turbo-dev.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 02 Jan 2016 23:02:14 +0100

xsane (0.998-6ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian (LP: #885324).  Remaining changes:
    - debian/patches/pot_desktop_msgid.patch: Add .desktop file Name and
      Comment to the POT.
    - debian/control:
      + Depend on firefox instead of iceweasel.
    - debian/xsane.desktop:
      + Use generic scanner icon instead of outdated/confusing xsane icon.
      + Modified to match POT changes.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Nov 2014 13:39:09 +0000
